import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteResolverEndpointInput } from "../types/DeleteResolverEndpointInput";
import { DeleteResolverEndpointOutput } from "../types/DeleteResolverEndpointOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/DeleteResolverEndpointInput";
export * from "../types/DeleteResolverEndpointOutput";
export * from "../types/DeleteResolverEndpointExceptionsUnion";
export declare class DeleteResolverEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteResolverEndpointInput, OutputTypesUnion, DeleteResolverEndpointOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: DeleteResolverEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteResolverEndpointInput, DeleteResolverEndpointOutput, Blob>;
    constructor(input: DeleteResolverEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<DeleteResolverEndpointInput, DeleteResolverEndpointOutput>;
}
