import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteResolverRuleInput } from "../types/DeleteResolverRuleInput";
import { DeleteResolverRuleOutput } from "../types/DeleteResolverRuleOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/DeleteResolverRuleInput";
export * from "../types/DeleteResolverRuleOutput";
export * from "../types/DeleteResolverRuleExceptionsUnion";
export declare class DeleteResolverRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteResolverRuleInput, OutputTypesUnion, DeleteResolverRuleOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: DeleteResolverRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteResolverRuleInput, DeleteResolverRuleOutput, Blob>;
    constructor(input: DeleteResolverRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<DeleteResolverRuleInput, DeleteResolverRuleOutput>;
}
