import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetResolverEndpointInput } from "../types/GetResolverEndpointInput";
import { GetResolverEndpointOutput } from "../types/GetResolverEndpointOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/GetResolverEndpointInput";
export * from "../types/GetResolverEndpointOutput";
export * from "../types/GetResolverEndpointExceptionsUnion";
export declare class GetResolverEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, GetResolverEndpointInput, OutputTypesUnion, GetResolverEndpointOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: GetResolverEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetResolverEndpointInput, GetResolverEndpointOutput, Blob>;
    constructor(input: GetResolverEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<GetResolverEndpointInput, GetResolverEndpointOutput>;
}
