import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListResolverRulesInput } from "../types/ListResolverRulesInput";
import { ListResolverRulesOutput } from "../types/ListResolverRulesOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/ListResolverRulesInput";
export * from "../types/ListResolverRulesOutput";
export * from "../types/ListResolverRulesExceptionsUnion";
export declare class ListResolverRulesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListResolverRulesInput, OutputTypesUnion, ListResolverRulesOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: ListResolverRulesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListResolverRulesInput, ListResolverRulesOutput, Blob>;
    constructor(input: ListResolverRulesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<ListResolverRulesInput, ListResolverRulesOutput>;
}
