"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetResolverEndpointInput_1 = require("../shapes/GetResolverEndpointInput");
var GetResolverEndpointOutput_1 = require("../shapes/GetResolverEndpointOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResolverEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResolverEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetResolverEndpointInput_1.GetResolverEndpointInput
    },
    output: {
        shape: GetResolverEndpointOutput_1.GetResolverEndpointOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=GetResolverEndpoint.js.map