"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListResolverEndpointIpAddressesInput_1 = require("../shapes/ListResolverEndpointIpAddressesInput");
var ListResolverEndpointIpAddressesOutput_1 = require("../shapes/ListResolverEndpointIpAddressesOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListResolverEndpointIpAddresses = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListResolverEndpointIpAddresses",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListResolverEndpointIpAddressesInput_1.ListResolverEndpointIpAddressesInput
    },
    output: {
        shape: ListResolverEndpointIpAddressesOutput_1.ListResolverEndpointIpAddressesOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=ListResolverEndpointIpAddresses.js.map