"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsForResourceInput_1 = require("../shapes/ListTagsForResourceInput");
var ListTagsForResourceOutput_1 = require("../shapes/ListTagsForResourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsForResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsForResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsForResourceInput_1.ListTagsForResourceInput
    },
    output: {
        shape: ListTagsForResourceOutput_1.ListTagsForResourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=ListTagsForResource.js.map