"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutResolverRulePolicyInput_1 = require("../shapes/PutResolverRulePolicyInput");
var PutResolverRulePolicyOutput_1 = require("../shapes/PutResolverRulePolicyOutput");
var InvalidPolicyDocument_1 = require("../shapes/InvalidPolicyDocument");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var UnknownResourceException_1 = require("../shapes/UnknownResourceException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutResolverRulePolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutResolverRulePolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutResolverRulePolicyInput_1.PutResolverRulePolicyInput
    },
    output: {
        shape: PutResolverRulePolicyOutput_1.PutResolverRulePolicyOutput
    },
    errors: [
        {
            shape: InvalidPolicyDocument_1.InvalidPolicyDocument
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: UnknownResourceException_1.UnknownResourceException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=PutResolverRulePolicy.js.map