import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateResolverEndpointInput } from "../types/CreateResolverEndpointInput";
import { CreateResolverEndpointOutput } from "../types/CreateResolverEndpointOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/CreateResolverEndpointInput";
export * from "../types/CreateResolverEndpointOutput";
export * from "../types/CreateResolverEndpointExceptionsUnion";
export declare class CreateResolverEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateResolverEndpointInput, OutputTypesUnion, CreateResolverEndpointOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: CreateResolverEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateResolverEndpointInput, CreateResolverEndpointOutput, Blob>;
    constructor(input: CreateResolverEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<CreateResolverEndpointInput, CreateResolverEndpointOutput>;
}
