import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListResolverEndpointsInput } from "../types/ListResolverEndpointsInput";
import { ListResolverEndpointsOutput } from "../types/ListResolverEndpointsOutput";
import { Route53ResolverResolvedConfiguration } from "../Route53ResolverConfiguration";
export * from "../types/ListResolverEndpointsInput";
export * from "../types/ListResolverEndpointsOutput";
export * from "../types/ListResolverEndpointsExceptionsUnion";
export declare class ListResolverEndpointsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListResolverEndpointsInput, OutputTypesUnion, ListResolverEndpointsOutput, Route53ResolverResolvedConfiguration, Blob> {
    readonly input: ListResolverEndpointsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListResolverEndpointsInput, ListResolverEndpointsOutput, Blob>;
    constructor(input: ListResolverEndpointsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: Route53ResolverResolvedConfiguration): __aws_sdk_types.Handler<ListResolverEndpointsInput, ListResolverEndpointsOutput>;
}
