"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetResolverRuleInput_1 = require("../shapes/GetResolverRuleInput");
var GetResolverRuleOutput_1 = require("../shapes/GetResolverRuleOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResolverRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResolverRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetResolverRuleInput_1.GetResolverRuleInput
    },
    output: {
        shape: GetResolverRuleOutput_1.GetResolverRuleOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=GetResolverRule.js.map