"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetResolverRulePolicyInput_1 = require("../shapes/GetResolverRulePolicyInput");
var GetResolverRulePolicyOutput_1 = require("../shapes/GetResolverRulePolicyOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var UnknownResourceException_1 = require("../shapes/UnknownResourceException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResolverRulePolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResolverRulePolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetResolverRulePolicyInput_1.GetResolverRulePolicyInput
    },
    output: {
        shape: GetResolverRulePolicyOutput_1.GetResolverRulePolicyOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: UnknownResourceException_1.UnknownResourceException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        }
    ]
};
//# sourceMappingURL=GetResolverRulePolicy.js.map