"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TargetList_1 = require("./_TargetList");
var _TagList_1 = require("./_TagList");
exports.CreateResolverRuleInput = {
    type: "structure",
    required: ["CreatorRequestId", "RuleType", "DomainName"],
    members: {
        CreatorRequestId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        RuleType: {
            shape: {
                type: "string"
            }
        },
        DomainName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TargetIps: {
            shape: _TargetList_1._TargetList
        },
        ResolverEndpointId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateResolverRuleInput.js.map