"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SecurityGroupIds_1 = require("./_SecurityGroupIds");
exports._ResolverEndpoint = {
    type: "structure",
    required: [],
    members: {
        Id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CreatorRequestId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Arn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        SecurityGroupIds: {
            shape: _SecurityGroupIds_1._SecurityGroupIds
        },
        Direction: {
            shape: {
                type: "string"
            }
        },
        IpAddressCount: {
            shape: {
                type: "integer"
            }
        },
        HostVPCId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        StatusMessage: {
            shape: {
                type: "string"
            }
        },
        CreationTime: {
            shape: {
                type: "string",
                min: 20
            }
        },
        ModificationTime: {
            shape: {
                type: "string",
                min: 20
            }
        }
    }
};
//# sourceMappingURL=_ResolverEndpoint.js.map