"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TargetList_1 = require("./_TargetList");
exports._ResolverRule = {
    type: "structure",
    required: [],
    members: {
        Id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CreatorRequestId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Arn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DomainName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        StatusMessage: {
            shape: {
                type: "string"
            }
        },
        RuleType: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        TargetIps: {
            shape: _TargetList_1._TargetList
        },
        ResolverEndpointId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        OwnerId: {
            shape: {
                type: "string",
                min: 12
            }
        },
        ShareStatus: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ResolverRule.js.map