import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>The resource that you tried to update or delete is currently in use.</p>
 */
export interface ResourceInUseException extends __ServiceException__<_ResourceInUseExceptionDetails> {
    name: "ResourceInUseException";
}
export interface _ResourceInUseExceptionDetails {
    /**
     * _String shape
     */
    Message?: string;
    /**
     * <p>For a <code>ResourceInUseException</code> error, the type of resource that is currently in use.</p>
     */
    ResourceType?: string;
}
